Bug 1045464 - [abrt] gnome-session: _g_log_abort(): gnome-session killed by SIGABRT
Summary: [abrt] gnome-session: _g_log_abort(): gnome-session killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:391097794e14e190ae7f19fd2af...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 13:50 UTC by smanocch
Modified: 2015-06-29 13:39 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:39:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.96 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: cgroup (174 bytes, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: core_backtrace (12.92 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: dso_list (7.70 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: environ (2.16 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: maps (40.08 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: open_fds (148 bytes, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details
File: var_log_messages (30.89 KB, text/plain)
2013-12-20 13:50 UTC, smanocch
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 710480 0 Normal RESOLVED gsm-manager: Don't abort when all clients exit 2020-04-02 20:49:06 UTC

Description smanocch 2013-12-20 13:50:27 UTC
Description of problem:
try to start gnome-shell-wayland --replace

Version-Release number of selected component:
gnome-session-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        gnome-session
crash_function: _g_log_abort
executable:     /usr/bin/gnome-session
kernel:         3.12.5-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gsm_manager_quit at gsm-manager.c:533
 #6 end_phase at gsm-manager.c:591
 #7 remove_clients_for_connection at gsm-manager.c:1720
 #8 gsm_manager_bus_filter at gsm-manager.c:1804

Potential duplicate: bug 1008915

Comment 1 smanocch 2013-12-20 13:50:33 UTC
Created attachment 839564 [details]
File: backtrace

Comment 2 smanocch 2013-12-20 13:50:35 UTC
Created attachment 839565 [details]
File: cgroup

Comment 3 smanocch 2013-12-20 13:50:37 UTC
Created attachment 839566 [details]
File: core_backtrace

Comment 4 smanocch 2013-12-20 13:50:40 UTC
Created attachment 839567 [details]
File: dso_list

Comment 5 smanocch 2013-12-20 13:50:42 UTC
Created attachment 839568 [details]
File: environ

Comment 6 smanocch 2013-12-20 13:50:45 UTC
Created attachment 839569 [details]
File: limits

Comment 7 smanocch 2013-12-20 13:50:47 UTC
Created attachment 839570 [details]
File: maps

Comment 8 smanocch 2013-12-20 13:50:49 UTC
Created attachment 839571 [details]
File: open_fds

Comment 9 smanocch 2013-12-20 13:50:51 UTC
Created attachment 839572 [details]
File: proc_pid_status

Comment 10 smanocch 2013-12-20 13:50:54 UTC
Created attachment 839573 [details]
File: var_log_messages

Comment 11 Thomas Meyer 2014-01-07 19:04:53 UTC
Maybe multi monitor related?

Comment 12 Ray Strode [halfline] 2014-01-08 00:59:16 UTC
i believe this was fixed upstream recently:

https://git.gnome.org/browse/gnome-session/commit/?id=6e203f466118daf9941fb9c8dd64f1488dea14e7

Comment 13 collura 2014-01-11 01:51:51 UTC
still running gnome-session-3.10.1-1.fc20.x86_64 and having the crash when resume from forced suspend.

dont see a fedora20 updated gnome-session on koji after the october 2013 commit of comment#12.

any idea when fc20 will get the fix?

Comment 14 Thomas Meyer 2014-01-11 13:41:12 UTC
Hi,

this crash occurs for me, when I have an external monitor attached to my laptop. When I try to login in gdm with an externa monitor attached this will result in this crash.

When I unplug the external monitor from my laptop I'm able to login to a gnome-session. After the gnome session is started, I can re-attach the external monitor. The crash will not happen then and the external monitor works as expected, once the gnome-shell/session is running.

Any ideas what's going on here?

I'm also using an USB docking station, which has an DVI port, but this port is unused. But this unused monitor will result in this kernel messages from the udl driver:

[  172.402885] Raw EDID:
[  172.402893]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402895]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402897]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402899]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402901]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402903]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402905]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402907]  	00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
[  172.402913] udl 2-2.1:1.0: DVI-I-1: EDID invalid.

So my laptop has the following setup:
 1.) An internal i915 graphics card with an panel attached and an external DVI port with an external monitor attached
 2.) an USB docking station with an UDL graphics card, but no monitor attached.

Maybe the invalid EDID data confuses GDM/gnome multi/monitor support?

Comment 15 Peque 2014-01-20 17:56:44 UTC
Same problem as Thomas Here.

I have an external monitor attached to my laptop (display port connection). 

 * Can't login from the GDM if the monitor is connected (after introducing my password, the crash occurs and then I get back to the GDM again...).

 * Can login from terminal (e.g. CTRL+ALT+F2) and then 'startx'. Then I can see ABRT notifying me about the crash.

 * Can also login if I unplug the external monitor, which is anoying.

 * gnome-session-3.10.1-1.fc20.x86_64

Willing to provide any further information if needed.

Thanks for your help.

Comment 16 Ray Strode [halfline] 2014-01-20 20:06:02 UTC
chances are the gnome-session crash is a side-effect of the monitor issue and not the cause of the monitor issue.  I can push an update with that commit though, and we can see how it changes the symptoms of the monitor issue.

Comment 17 Ray Strode [halfline] 2014-01-20 20:08:26 UTC
all 00's EDID could mean using a single link DVI cable for a monitor that needs dual link DVI.  This is verifiable by looking at the pins of the cable.  If there is a 2x3 column of missing pins in the middle of the plug then it's single link instead of dual link.

Comment 18 Peque 2014-01-21 22:53:22 UTC
It turned out it was a problem with the "xorg-x11-drv-intel" package for me.

Thomas, try to downgrade it and check if it works:

  $ sudo yum downgrade xorg-x11-drv-intel

It will change version 0:2.21.15-5.fc20 to 0:2.21.15-4.fc20. That fixed the login issues. Created bug #1056299 in case someone can and wants to add some information: https://bugzilla.redhat.com/show_bug.cgi?id=1056299

Comment 19 Thomas Meyer 2014-02-06 22:12:25 UTC
(In reply to Ray Strode [halfline] from comment #17)
> all 00's EDID could mean using a single link DVI cable for a monitor that
> needs dual link DVI.  This is verifiable by looking at the pins of the
> cable.  If there is a 2x3 column of missing pins in the middle of the plug
> then it's single link instead of dual link.

I thinks all 00's comes from the DisplayLink USB device (udl_drm) with no monitor and cable connected at all.

Comment 20 Thomas Meyer 2014-02-06 22:18:29 UTC
(In reply to Peque from comment #18)
> It turned out it was a problem with the "xorg-x11-drv-intel" package for me.
> 
> Thomas, try to downgrade it and check if it works:
> 
>   $ sudo yum downgrade xorg-x11-drv-intel
> 
> It will change version 0:2.21.15-5.fc20 to 0:2.21.15-4.fc20. That fixed the
> login issues. Created bug #1056299 in case someone can and wants to add some
> information: https://bugzilla.redhat.com/show_bug.cgi?id=1056299

Hi Peque, yes downgrading the xorg-x11-drv-intel package to 2.21.15-4.fc20 fixes the login problem for me too!

so this seems to be driver related!

so feel free to close this bug, and we can track the problem under #1056299

Comment 21 Marek Michał Mazur 2014-03-10 23:27:35 UTC
Radeon driver affected.

Comment 22 Soeren Grunewald 2014-06-10 07:48:07 UTC
Another user experienced a similar problem:

1. Restarted computer
2. Logged in on GDM
3. Session got stuck for ~1min (no activity on disk)
4. Restarted display-manager.service

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-session
crash_function: _g_log_abort
executable:     /usr/bin/gnome-session
kernel:         3.14.6-200.fc20.x86_64
package:        gnome-session-3.10.1-1.fc20
reason:         gnome-session killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 David H. Gutteridge 2014-08-09 21:42:01 UTC
I was directed to this bug report by the Automatic Bug Reporting Tool in Gnome. I'm not sure my issue is really related to this one, but I'll add my particulars here. (That is, my issue is related to the one reported in comment 22, but that also appears distinct from the earlier comments.)

Today I logged out of a session, and when I tried to log back in, after passing through GDM, the screen turned grey (as it always does) but the Gnome session never loaded. (Or at least, I left it for over five minutes and nothing was happening, so I restarted the X server. I didn't notice anything particularly informative when I examined running processes from a text console login.) There is no connection with external displays or docking stations in my case.

Comment 24 Fernando 2014-10-23 10:53:53 UTC
When I turn on the system does not start

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart
crash_function: _g_log_abort
executable:     /usr/bin/gnome-session
kernel:         3.11.10-301.fc20.x86_64
package:        gnome-session-3.10.1-1.fc20
reason:         Process /usr/bin/gnome-session was killed by signal 6 (SIGABRT)
runlevel:       3 5
type:           CCpp
uid:            42

Comment 25 Need Real Name 2015-03-20 18:03:26 UTC
Another user experienced a similar problem:

unknown

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-session --autostart /usr/share/gdm/greeter/autostart
crash_function: _g_log_abort
executable:     /usr/bin/gnome-session
kernel:         3.17.8-200.fc20.x86_64
package:        gnome-session-3.10.1-1.fc20
reason:         gnome-session killed by SIGABRT
runlevel:       3 5
type:           CCpp
uid:            42

Comment 26 Fedora End Of Life 2015-05-29 10:04:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Fedora End Of Life 2015-06-29 13:39:48 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.